from PIL import Image

print('Test...')

# Poruka:
# ModuleNotFoundError: No module named 'PIL'

# Resenje:
# U terminalu:
# user@irvm:~/Desktop/DOZS_summer_24/week1$ pip3 install pillow
# Collecting pillow
#  Downloading pillow-10.2.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.4 MB)
#     |████████████████████████████████| 4.4 MB 4.3 MB/s 
# Installing collected packages: pillow
# Successfully installed pillow-10.2.0

# Zatim program prolazi izvrsavanje

# Ucitavanje slike
PATH = 'data/yugo.jpg'  # folder sa slikama (data) i ovaj fajl (ucitaj.py) nalaze se u istom folderu

auto = Image.open(PATH)
print(auto)
auto.show()

# Mozemo dobiti neke dodatne informacije o slici, npr.:
print('Size:', auto.size)  # Rezolucija slike sirina x visina, u pikselima
print('Mod:', auto.mode)   # Mode slike: RGB ili grayscale

# Posto smo iskoristili sliku, nije nam vise potrebma, oslobadjamo resurse
auto.close()

# Ako nakon close pokusamo da koristimo sliku, npr:
auto.show()
# desava se greska: "ValueError: Operation on closed image"
